<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Blog Diary Pro
* @since Blog Diary Pro 1.0.0
*/

if ( ! function_exists( 'blog_diary_pro_validate_long_excerpt' ) ) :
    function blog_diary_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'blog-diary-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'blog-diary-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'blog_diary_pro_validate_slider_count' ) ) :
  function blog_diary_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'blog-diary-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'blog-diary-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blog_diary_pro_validate_featured_slider_count' ) ) :
  function blog_diary_pro_validate_featured_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'blog-diary-pro' ) );
     } elseif ( $value > 16 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 16', 'blog-diary-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blog_diary_pro_validate_latest_posts_count' ) ) :
  function blog_diary_pro_validate_latest_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'blog-diary-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'blog-diary-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blog_diary_pro_validate_must_read_posts_count' ) ) :
  function blog_diary_pro_validate_must_read_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'blog-diary-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'blog-diary-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blog_diary_pro_validate_blog_count' ) ) :
  function blog_diary_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blog-diary-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'blog-diary-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'blog-diary-pro' ) );
     }
     return $validity;
  }
endif;
